<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion = new sesion();
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../includes/academia.locale.php");


if (!comprobar_sesion()) {
    mensaje($dtsLang[globals][ses_cad], $dtsLang[project][institucion]);
    exit;
}
if (isset($_GET["accion"]) && $_GET["accion"] == "new") {
    $accion = "new";
} else {
    $accion = "edit";
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Nueva isasistencia</title>
        <script id="tmlDetFaltas" type="text/x-jquery-tmpl">
            <option value="${cod}">${det}</option>
        </script>
        <script id="tmlSubDetFaltas" type="text/x-jquery-tmpl">
            <option value="${sf}">${sf}</option>
        </script>
        
        <script type="text/javascript">
            $(document).ready(function(e) {
                opt = "";
                tipo = $("#accion").attr('acc');
                var subFaltas=[];
                var objSubFalta=$("#md_fal_sub_tipo_falta");
                $("#md_fal_tipo_falta").change(function(e, cd) {
                    elem = $(this);
                    $sel = $("#md_fal_detalle");
                    $sel.addClass("cargando");
                    $sel.empty();
                   /* objSubFalta.empty();*/
                    if (!dtsDetFaltas[elem.val()]) {
                        $.ajax({
                            url: 'mod_faltas/list_detFaltas.php',
                            data: {tipo: elem.val()},
                            async: false,
                            success: function(r) {
                                var ft=$.parseJSON(r);
                                $.extend(dtsDetFaltas, ft.ft);
                              /*  $.extend(subFaltas,ft.sf);*/
                            }
                        });
                    }
                    var dt = dtsDetFaltas[elem.val()];
                    /*var sf=subFaltas[elem.val()];*/

                    $("#tmlDetFaltas").tmpl(dt).appendTo($sel)
                   /* $("#tmlSubDetFaltas").tmpl(sf).appendTo(objSubFalta);*/
                    if (cd) {
                        $sel.data("opcn", cd);
                    }
                    $("option[value='" + $sel.data("opcn") + "']", $sel).attr("selected", true);
                    $sel.removeClass("cargando");
                });


                $("input#md_fal_fecha").datetimepicker({
                    hourMin: 6,
                    hourMax: 23,
                    onSelect: function() {
                        $("input#md_fal_fecha").trigger("rvalida");
                    }
                });

                $txt_descrip = $("#md_fal_descrip");

                if (tipo != 'new') {
                    $("#oper").val("edit")

                    $grid = $("#list_infoEstFaltas");
                    var id = $grid.getGridParam('selrow');
                    dtF = $grid.getRowData(id);
                    $("#id").val(id);
                    $("#md_fal_fecha").val(dtF['fecha_falta'])
                    $("#md_fal_tipo_falta option[value=" + dtF['id_tip_f'] + "]").attr("selected", true).trigger("change", [dtF['cd_falta']]);
                    $("#md_fal_descrip").val(dtF['desc_falta']);
                    $("#md_fal_obs").val(dtF['obs_falta']);

                } else {
                    $("#oper").val("new");
                    $("#md_fal_tipo_falta").trigger("change");
                }

                $("#md_fal_detalle").change(function(e) {
                    if ($.trim($txt_descrip.val()).length > 0) {
                        $txt_descrip.val($txt_descrip.val() + "\n\n" + $("option:selected", this).text())
                    } else {
                        $txt_descrip.val($("option:selected", this).text());
                    }
                    $("#md_fal_descrip").trigger("rvalida");
                });

                $gridEst = $("#list_infoEst")
                id = $gridEst.getGridParam('selrow');
                dt = $gridEst.getRowData(id);
                $("#nom_estud").html("<b>" + dt['nom_ape'] + "</b>");

                $("#md_fal_fecha").valida({
                    tipo: 'fh'
                })

                $("#md_fal_descrip").valida({
                    lcapital: false,
                    required: true,
                    mincar: 10,
                })

                $("#accion").click(function() {
                    if (tipo == 'new') {
                        msgexito = dtsLang.globals.newexito;
                    } else {
                        msgexito = dtsLang.globals.editexito;
                    }

                    var newDt = {
                        nom_tp_falta: $("#md_fal_tipo_falta option:selected").text(),
                        fecha_falta: $("#md_fal_fecha").val(),
                        desc_falta: $("#md_fal_descrip").val(),
                        obs_falta: $("#md_fal_obs").val(),
                        id_tip_f: $("#md_fal_tipo_falta option:selected").val(),
                        cd_falta: $("select#md_fal_detalle option:selected").val(),
                    }

                    var conf = {
                        url: 'mod_faltas/opera_faltas.php',
                        data: $("#new_edit_faltas").serialize() + "&periodo=" + $("select#md_fal_txtperiodo").val() + "&ide_est=" + id,
                        modulo: 'faltas',
                        empresa: dtsLang.project.institucion,
                        msg_cmps_oblg: dtsLang.globals.cmpobl, //mensaje campos obligatorios
                        msgExito: msgexito,
                        msg_espere: dtsLang.globals.msg_espera,
                        id_grilla: 'list_infoEstFaltas',
                        evento: tipo,
                        frm: "#new_edit_faltas",
                        data_grid: newDt,
                        adicional: function(rta) {
                            $gridEst.setCell(id, 'nota_dic', rta.nota)
                            color($gridEst, id, rta.nota)
                        }
                    }
                    acciones(conf);
                })


                $(this).bind('cbox_complete', function() {
                    $("#txtcc").focus();
                })

                $("#md_fal_fecha").valida({
                    lcapita: false,
                    tipo: 'fh'
                });


            });
        </script>
        <style>
            select.tam2{
                max-width: 462px;
            }
            select.tam2 option{
                max-width:462px;
            }
        </style>
    </head>

    <body>
        <div style="margin:8px">
            <div id="formInasistencias" class="k-shadow" style="height:auto !important; width:auto !important">
                <div class="k-header k-shadow" style="height:25px !important; text-align:center; line-height:25px" id="nom_estud"></div>
                <form action="" id="new_edit_faltas">
                    <table border="0" cellpadding="2" width="100%">
                        <tr>
                            <td colspan="3"><hr></td> 
                        </tr>
                        <tr> 
                            <td width="30%" ><div class="tit1"><?php echo $dtsLang[faltas][tipo] ?></div>
                                <select name="md_fal_tipo_falta" class="campos" id="md_fal_tipo_falta" style="width:220px">
                                    <?php
                                    $sql = "SELECT ide_tipo_falta,tipo_falta FROM aux_tipos_faltas";
                                    $academia->instruccion($sql);
                                    while ($reg = $academia->extraer_registro()) {
                                        echo "<option value='" . $reg[ide_tipo_falta] . "'>" . $reg[tipo_falta] . "</option>";
                                    }
                                    $academia->liberar();
                                    ?>
                                </select>
                            </td>
                            <td>
                                <div class="tit1"><?php echo "Subtipo" ?></div>
                                <select name="md_fal_sub_tipo_falta" class="campos" id="md_fal_sub_tipo_falta" style="width:170px">
                                </select>
                            </td>
                            <td width="30%"><div class="tit1"><?php echo $dtsLang[faltas][fecha_h] ?></div><input type="text" name="md_fal_fecha" id="md_fal_fecha"></td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <table border="0" cellpadding="1" cellspacing="0" width="100%">
                                    <tr>
                                        <td colspan="2"><div class="tit1"><?php echo $dtsLang[faltas][nom_falta] ?></div><select name="md_fal_detalle" id="md_fal_detalle" class="tam2 campos" style="width:462px !important">
                                            </select></td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><div class="tit1"><?php echo $dtsLang[faltas][info_falta] ?></div><textarea style="width:450px !important; height:95px !important" class="campos" name="md_fal_descrip" cols="50" rows="8" id="md_fal_descrip"></textarea></td>
                </tr>
              <tr>
                <td colspan="2"><div class="tit1"><?php echo $dtsLang[faltas][observa_fal] ?></div><textarea style="width:450px !important; height:95px !important" class="campos" name="md_fal_obs" cols="50" rows="8" id="md_fal_obs"></textarea></td>
                </tr>

            </table>

        </td>
    </tr>
  <tr>
    <td colspan="3" align="center"><input name="id" type="hidden" id="id" value="<?php echo $codigo ?>" />
      <input type="hidden" name="oper" id="oper" value="<?php echo $accion ?>" />
      <a class="k-button" acc="<?php echo $accion ?>" name="accion"  id="accion" ><span class="k-icon ui-btn-save"></span></a></td>
  </tr>
</table>
  </form>
</div>
</div>
</body>
</html>